Description

Thanks to #540 we now have publications listed in Activities.

But there doesn't appear to be any discrimination by project -- if a publication is added to a project and I have visibility of that project, I
will see the publication in my "Recent Activity in My Projects" list even though it's not one of my projects.

History
#1 - 2013-01-23 11:42 AM - Chris Cannam

I see there is a line intended to handle this, at vendor/plugins/redmine_bibliography/app/views/activities/_recent.html.erb:20:

e.projects.map {|p| user.member_of? p }

#2 - 2013-01-23 11:47 AM - Chris Cannam

Should be

e.projects.map {|p| user.member_of? p }.any?

Fixed in commit:8675fa03326d

#3 - 2013-01-25 09:42 PM - Chris Cannam
- Status changed from New to Closed
